SuSE9 Security Update : subdomain-parser (YOU Patch Number 11787)

High Nessus Plugin ID 41151


The remote SuSE 9 host is missing a security-related patch.


The following patch supports new language features in AppArmor which have been added to improve the confinement provided to applications executing other applications will confined by AppArmor. Two new execute modifiers: 'P' and 'U' are provided and are flavors of the exisiting 'p' and 'u' modifiers but indicate that the enviroment should be stripped across the execute transition. A new permission 'm' is required when an application executes the mmap(2) with the prot arg PROT_EXEC.

This is a reissue of a previous update due to RPM release number problems.


Apply YOU patch number 11787.

Plugin Details

Severity: High

ID: 41151

File Name: suse9_11787.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2009/09/24

Modified: 2012/04/23

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2007/09/21